Bug 148586 - dns/ddclient - Added periodic daily script to force update
Summary: dns/ddclient - Added periodic daily script to force update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-14 03:20 UTC by howeyc
Modified: 2010-08-17 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.83 KB, patch)
2010-07-14 03:20 UTC, howeyc
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description howeyc 2010-07-14 03:20:09 UTC
The dynamic dns provider I'm using expires an account after 30 days of activity. My IP does not change that often, so I created a script to update the account daily, regardless of IP changes.

Fix: I have added a patch to the port that will install this script and shows a message on installation how to enable the script. The script is disabled by default.

Files modified:
ddclient/Makefile
ddclient/files/pkg-message.in

Files added:
ddclient/files/ddclient_force.in

Patch attached.
Created using "diff -ruN ddclient.orig ddclient"


Patch attached with submission follows:
How-To-Repeat: N/A
Comment 1 Edwin Groothuis freebsd_committer 2010-07-14 03:20:17 UTC
Maintainer of dns/ddclient,

Please note that PR ports/148586 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148586

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-07-14 03:20:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Radek Kozlowski 2010-07-20 22:01:19 UTC
Looks good to me.

Radek

On Wed, Jul 14, 2010 at 4:20 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
> Maintainer of dns/ddclient,
>
> Please note that PR ports/148586 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
> =C2=A0 =C2=A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/148586
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2010-07-21 00:42:05 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Olli Hauer freebsd_committer 2010-08-16 00:52:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

I'll take it
Comment 6 dfilter service freebsd_committer 2010-08-17 20:23:05 UTC
ohauer      2010-08-17 19:22:56 UTC

  FreeBSD ports repository

  Modified files:
    dns/ddclient         Makefile 
    dns/ddclient/files   pkg-message.in 
  Added files:
    dns/ddclient         pkg-plist 
    dns/ddclient/files   ddclient_force.in patch-ddclient 
  Log:
   - add periodic daily script to force update
   - connect to license framework
   - add special patch from glarkin to ensure daemon detach from tty,
     change some printf to use the warning function instead.
  
  PR:             148586
  Submitted by:   Chris Howey <howeyc _at_ gmail.com>
  Approved by:    maintainer, glarkin (mentor)
  
  Revision  Changes    Path
  1.24      +8 -2      ports/dns/ddclient/Makefile
  1.1       +28 -0     ports/dns/ddclient/files/ddclient_force.in (new)
  1.3       +61 -0     ports/dns/ddclient/files/patch-ddclient (new)
  1.2       +6 -0      ports/dns/ddclient/files/pkg-message.in
  1.5       +6 -0      ports/dns/ddclient/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Olli Hauer freebsd_committer 2010-08-17 20:25:37 UTC
State Changed
From-To: open->closed

comitted with some additional changes 

- attach to license framework 
- add some additional changes to detach from tty in daemon mode 

Maybe the maintainer will submit those changes upstream?